Subject: Re: bug#55800: using rgrep function interactively with fido-mode or fido-vertical-mode causes errors

From: Yilkal Argaw <[email-masked]>
Date: Sun, 5 Jun 2022 10:20:20 +0300

> My report was made after trying it out in "emacs -q". And here is the
> recipe after replicating it inside emacs -q
> ```
> Start emacs with emacs -q
> M-x fido-vertical-mode                    ;; fido-mode has the same
> effect I tried
> M-x rgrep
> ethiopic                                           ;; the string to search
> .                                                       ;; select
> default=all for file type  by simply cliking just press Enter
> ~/Documents/src_codes/emacs      ;; select the directory to rgrep in
> and press Enter
>
> ```
>
> I hope this helps in recreating it. I have tested it without fido in
> "emacs -q" and it works.
> I think it had something to do with.
>
> With Regards

sorry the email client just cutted of the line here is the recipe for
better readablity
```
Start emacs with emacs -q
M-x fido-vertical-mode                    ;; fido-mode has the same
effect I tried
M-x rgrep
ethiopic                                           ;; the string to search
.                                                       ;; select
default=all for file type  by simply clicking just press Enter
~/Documents/src_codes/emacs      ;; select the directory to rgrep in
and press Enter

```

On Sun, Jun 5, 2022 at 10:15 AM Yilkal Argaw
<[email-masked]> wrote:
>
> > from:Eli Zaretskii <[email-masked]>
> > to:Yilkal Argaw <[email-masked]>
> > cc:[email-masked]
> > date:Jun 5, 2022, 8:45 AM
> > Could you please show a complete recipe, starting with "emacs -Q" and
> > listing all the commands needed to reproduce this problem?  That is,
> > start with "emacs -Q", then invoke the command to use
> > fido-vertical-mode, then the command to use rgrep with all of its
> > argument, and anything else that is needed for the error to appear.
>
> > Thanks.
>
> My report was made after trying it out in "emacs -q". And here is the
> recipe after replicating it inside emacs -q
> ```
> Start emacs with emacs -q
> M-x fido-vertical-mode                    ;; fido-mode has the same
> effect I tried
> M-x rgrep
> ethiopic                                           ;; the string to search
> .                                                       ;; select
> default=all for file type  by simply cliking just press Enter
> ~/Documents/src_codes/emacs      ;; select the directory to rgrep in
> and press Enter
>
> ```
>
> I hope this helps in recreating it. I have tested it without fido in
> "emacs -q" and it works.
> I think it had something to do with.
>
> With Regards
>
> On Sun, Jun 5, 2022 at 8:45 AM Eli Zaretskii <[email-masked]> wrote:
> >
> > > From: Yilkal Argaw <[email-masked]>
> > > Date: Sun, 5 Jun 2022 04:11:02 +0300
> > >
> > > using rgrep along with fido-mode or fido-vertical-mode causes the
> > > following error.
> >
> > Could you please show a complete recipe, starting with "emacs -Q" and
> > listing all the commands needed to reproduce this problem?  That is,
> > start with "emacs -Q", then invoke the command to use
> > fido-vertical-mode, then the command to use rgrep with all of its
> > argument, and anything else that is needed for the error to appear.
> >
> > Thanks.